<div class="canvas-wrapper">
    <div class="canvas-container">
        <canvas #myCanvas [width]="canvasOptions.width" [height]="canvasOptions.height">
        </canvas>
    </div>
    <div class="box-action">
        <div class="palette-container">
            <div *ngFor="let colorElem of colors; " class="color-palette-element-container">
                <div class="color-palette-element" [class.color-selected]="colorElem ===selectedColor"
                     [ngStyle]="{'background-color': colorElem.color.rgb}"
                     (click)="onSelect(colorElem)"
                ></div>
            </div>
        </div>
        <div class="box-action-buttons">
            <button (click)="addRandomRectToCanvas()">add random rectangle</button>
            <button (click)="removeFromCanvas()">clear canvas</button>
        </div>
        <div class="general-settings">
            <div class="">
                <span>Brush size : {{brushSize}}px</span> <input type="range"  class="slider" min=1 max="100" [(ngModel)]="brushSize">
            </div>
            <div>
                <span>fill circle : </span><input type="checkbox"  [(ngModel)]="fillCircle">
            </div>
        </div>
    </div>
</div>